﻿using System.Drawing;

using DevExpress.XtraEditors;
using DevExpress.XtraGrid.Views.Base;
using DevExpress.XtraGrid.Views.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 문자열 포맷
        /// </summary>
        private StringFormat stringFormat;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.stringFormat = new StringFormat();

            this.stringFormat.Alignment     = StringAlignment.Center;
            this.stringFormat.LineAlignment = StringAlignment.Center;

            this.gridView.CustomDrawEmptyForeground += gridView_CustomDrawEmptyForeground;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 그리드 뷰 빈 전경 커스텀 그리기 - gridView_CustomDrawEmptyForeground(sender, e)

        /// <summary>
        /// 그리드 뷰 빈 전경 커스텀 그리기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void gridView_CustomDrawEmptyForeground(object sender, CustomDrawEventArgs e)
        {
            GridView gridView = sender as GridView;

            if(gridView.RowCount == 0)
            {
                e.Appearance.DrawString
                (
                    e.Cache,
                    "NO DATA",
                    e.Bounds,
                    e.Appearance.GetForeBrush(e.Cache),
                    this.stringFormat
                );
            }
        }

        #endregion
    }
}